#!/usr/bin/env bash

PACKAGE_DESTINATION_DIRECTORY="./bin/lua"
PACKAGE_DESTINATION_PATH="${PACKAGE_DESTINATION_DIRECTORY}/luarocks_package"
PACKAGE_SOURCE="./src/lib_lua/src_lua"
if [ "$(uname)" == "Darwin" ]
then
    VIZDOOM_EXEC_PATH="./bin/vizdoom.app/Contents/MacOS/vizdoom"
else
    VIZDOOM_EXEC_PATH="./bin/vizdoom"
fi

PK3_PATH="./bin/vizdoom.pk3"
PYTHON_BIN_PATH="${PACKAGE_DESTINATION_DIRECTORY}/vizdoom/vizdoom.so"
FREEDOOM_PATH="./freedoom2.wad"
SCENARIOS_DEST_DIR="${PACKAGE_DESTINATION_PATH}/scenarios"
SCENARIOS_PATH="./scenarios"

rm -rf ${PACKAGE_DESTINATION_PATH}
cp -r ${PACKAGE_SOURCE} ${PACKAGE_DESTINATION_PATH}
cp ${VIZDOOM_EXEC_PATH} ${PACKAGE_DESTINATION_PATH}
cp ${PYTHON_BIN_PATH} ${PACKAGE_DESTINATION_PATH}
cp ${FREEDOOM_PATH} ${PACKAGE_DESTINATION_PATH}
cp ${PK3_PATH} ${PACKAGE_DESTINATION_PATH}
mkdir -p ${SCENARIOS_DEST_DIR}
cp ${SCENARIOS_PATH}/*.wad  ${SCENARIOS_DEST_DIR}
cp ${SCENARIOS_PATH}/*.cfg  ${SCENARIOS_DEST_DIR}
mv ${SCENARIOS_DEST_DIR}/bots.cfg ${PACKAGE_DESTINATION_PATH}